/* IMPORT */
import colors from 'tiny-colors';
import Collection from './collection.js';
/* MAIN */
class Commands extends Collection {
    /* API */
    print() {
        const commands = this.getAll();
        if (!commands.length)
            return;
        const commandsVisible = commands.filter(command => !command.hidden);
        if (!commandsVisible.length)
            return;
        const table = commandsVisible.map(command => [
            [
                colors.magenta(command.name),
                ...command.arguments.getAll().map(arg => colors.yellow(arg.name))
            ].join(' '),
            command.description
        ]);
        this.logger.group('COMMANDS', () => {
            this.logger.table(table);
        });
    }
    run(name, options, argv) {
        const command = this.getOrFail(name);
        return command.run(options, argv);
    }
}
/* EXPORT */
export default Commands;
